Summary: An ELF prelinking utility
Name: prelink
Version: 0.1.3
Release: 1
Copyright: GPL
Group: System Environment/Base
%define date 20010718
Source: ftp://people.redhat.com/jakub/prelink/prelink-%{date}.tar.bz2
Source2: prelink.conf
Buildroot: /var/tmp/prelink-root
BuildRequires: libelf >= 0.7.0
Requires: glibc >= 2.2.3-13
# For now
ExclusiveArch: i386

%description
The prelink package contains a utility which modifies ELF shared libraries
and executables, so that far less relocations need to be resolved at runtime
and thus programs come up faster.

%prep
%setup -n prelink

%build
%configure
make

%install
%{makeinstall}
mkdir -p $RPM_BUILD_ROOT/etc
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc

%files
%defattr(-,root,root)
%verify(not md5 size mtime) %config(noreplace) /etc/prelink.conf
%{_prefix}/sbin/prelink
%{_mandir}/man8/prelink.8*

%changelog
* Wed Jul 18 2001 Jakub Jelinek <jakub@redhat.com> 0.1.3-1
- fix layout.c
- create .gnu.prelink_undo section, --undo and --verify modes will use that
- some more C++ specific optimizations

* Fri Jul 13 2001 Jakub Jelinek <jakub@redhat.com> 0.1.2-1
- bail out early if ELF object does not have sh_offsets
  monotonically increasing
- disallow prelinking if there are conflicts against read-only
  segments in shared libraries (ie. non-pic shared libraries
  - this is better than bailing out for all non-pic shared libraries)
- add some C++ specific optimizations to reduce number of conflicts,
  more to come

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 0.1.1-2
- fix incremental prelinking

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 0.1.1-1
- relocate stabs and dwarf-2 debugging formats
- support both --all and incremental prelinking
- handle hardlinks
- limit to libraries in /etc/prelink.conf directories or
  directories from command line

* Tue Jul  3 2001 Jakub Jelinek <jakub@redhat.com> 0.1.0-1
- new package
